Summary: NFS-safe locking library
Name: liblockfile
Version: 1.06.1
Release: 3
License: GPL
Group: System Environment/Libraries
URL: http://packages.debian.org/etch/liblockfile1
Packager: Kurt Hackel <kurt.hackel@oracle.com>
Vendor: Oracle

Source: liblockfile-1.06.1.tar.gz
Patch1: ovs-liblockfile-eaccess.patch
Patch2: ovs-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Provides: liblockfile = %{version}-%{release}
Obsoletes: liblockfile < %{version}-%{release}

%description
The Debian-maintained NFS-safe locking library, which includes
a dotlockfile program for writing simple, safe locking into 
userspace applications.
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>

%package devel
Summary: NFS-safe locking development libraries
Group: System Environment/Libraries

%description devel
Headers and libraries to build NFS-safe locking apps.

Provides: liblockfile-devel = %{version}-%{release}
Obsoletes: liblockfile-devel <= %{version}-%{release}

%prep
%setup -n %{name}-%{version}
%patch1 -p1
%patch2 -p1

%build
%{expand: %%define optflags %{optflags} -fPIC -DPIC}
%configure
make %{?_smp_mflags} all

%install
mkdir -p %{buildroot}/%{_includedir}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_mandir}/man3
mkdir -p %{buildroot}/%{_datadir}/%{name}
make install ROOT="%{buildroot}"
install -m 644 README COPYRIGHT debian/changelog %{buildroot}/%{_datadir}/%{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_bindir}/dotlockfile
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
%doc %{_datadir}/%{name}/*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/lockfile.h
%{_includedir}/maillock.h
%{_libdir}/liblockfile.a

%changelog
* Wed Oct 10 2007 Kurt Hackel <kurt.hackel@oracle.com> - 1.06.1-3
- fix postinstall and postuninstall rules

* Wed Oct 10 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 1.06.1-2
- Try to use strictly < in the Obsoletes directive rather than <=

* Wed Sep 26 2007 Kevin Lyons <kevin.x.lyons@oracle.com> - 1.06.1-1
- If conditional in the makefile was not working properly and casuing build to fail

* Wed Sep 26 2007 Kurt Hackel <kurt.hackel@oracle.com> - 1.06.1-1
- Created liblockfile package (used for ovs-utils)
- fixed eaccess conflict with EL5 headers
